﻿using System;

using DevExpress.XtraWaitForm;

namespace TestProject
{
    /// <summary>
    /// 메인 대기 폼
    /// </summary>
    public partial class MainWaitForm : WaitForm
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainWaitForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainWaitForm()
        {
            InitializeComponent();

            this.progressPanel.AutoSize = true;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 제목 설정하기 - SetCaption(caption)

        /// <summary>
        /// 제목 설정하기
        /// </summary>
        /// <param name="caption"></param>
        public override void SetCaption(string caption)
        {
            base.SetCaption(caption);

            this.progressPanel.Caption = caption;
        }

        #endregion
        #region 설명 설정하기 - SetDescription(description)

        /// <summary>
        /// 설명 설정하기
        /// </summary>
        /// <param name="description">설명</param>
        public override void SetDescription(string description)
        {
            base.SetDescription(description);

            this.progressPanel.Description = description;
        }

        #endregion
        #region 명령 처리하기 - ProcessCommand(enumeration, argument) 

        /// <summary>
        /// 명령 처리하기
        /// </summary>
        /// <param name="enumeration">열거형</param>
        /// <param name="argument">인자</param>
        public override void ProcessCommand(Enum enumeration, object argument)
        {
            base.ProcessCommand(enumeration, argument);
        }

        #endregion
    }
}